import { jsxs as _jsxs } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";
import Button from '@s-ui/react-atom-button';
import { CmpModalAdvertisementStep } from '../CmpModalAdvertisementStep';
import { CmpModalGeneralStep } from '../CmpModalGeneralStep';
import { CLASS, I18N, STEPS } from '../settings';
export function CmpModal(_ref) {
  var consentKey = _ref.consentKey,
      lang = _ref.lang,
      fetchingPurposes = _ref.fetchingPurposes,
      features = _ref.features,
      logo = _ref.logo,
      onAccept = _ref.onAccept,
      onBack = _ref.onBack,
      onOpenAdsStep = _ref.onOpenAdsStep,
      onToggleAll = _ref.onToggleAll,
      onToggleConsent = _ref.onToggleConsent,
      privacyUrl = _ref.privacyUrl,
      purposeConsents = _ref.purposeConsents,
      purposes = _ref.purposes,
      step = _ref.step,
      vendorConsents = _ref.vendorConsents,
      vendors = _ref.vendors;
  var i18n = I18N[lang];
  return /*#__PURE__*/_jsx("div", {
    className: CLASS,
    children: /*#__PURE__*/_jsxs("div", {
      className: CLASS + "-content",
      children: [/*#__PURE__*/_jsx("header", {
        className: CLASS + "-header",
        children: /*#__PURE__*/_jsx("img", {
          className: CLASS + "-logo",
          src: logo
        })
      }), /*#__PURE__*/_jsxs("section", {
        className: CLASS + "-inner",
        children: [step === STEPS.GENERAL && /*#__PURE__*/_jsx(CmpModalGeneralStep, {
          i18n: i18n,
          onOpenAdsStep: onOpenAdsStep,
          privacyUrl: privacyUrl
        }), step === STEPS.ADVERTISEMENT && /*#__PURE__*/_jsx(CmpModalAdvertisementStep, {
          consentKey: consentKey,
          features: features,
          i18n: i18n,
          onToggleAll: onToggleAll,
          onToggleConsent: onToggleConsent,
          purposeConsents: purposeConsents,
          purposes: purposes,
          vendorConsents: vendorConsents,
          vendors: vendors
        })]
      }), /*#__PURE__*/_jsxs("footer", {
        className: CLASS + "-footer",
        children: [step === STEPS.ADVERTISEMENT && /*#__PURE__*/_jsx(Button, {
          onClick: onBack,
          type: "tertiary",
          size: "small",
          children: i18n.BACK
        }), /*#__PURE__*/_jsx(Button, {
          disabled: fetchingPurposes,
          onClick: onAccept,
          type: "primary",
          children: i18n.ACCEPT
        })]
      })]
    })
  });
}