import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var Section = function Section(_ref) {
  var title = _ref.title,
      data = _ref.data,
      ids = _ref.ids;
  var content = ids.map(function (id) {
    var _data$find = data.find(function (singleData) {
      return singleData.id === id;
    }),
        name = _data$find.name,
        description = _data$find.description;

    return /*#__PURE__*/_jsxs("p", {
      children: [/*#__PURE__*/_jsxs("strong", {
        children: [name, ": "]
      }), description]
    }, id);
  });
  if (content.length === 0) return null;
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx("h3", {
      children: title
    }), content]
  });
};

export var ConsentDescription = function ConsentDescription(_ref2) {
  var description = _ref2.description,
      i18n = _ref2.i18n,
      isVendor = _ref2.isVendor,
      features = _ref2.features,
      featureIds = _ref2.featureIds,
      purposeIds = _ref2.purposeIds,
      legIntPurposeIds = _ref2.legIntPurposeIds,
      purposes = _ref2.purposes,
      policyUrl = _ref2.policyUrl;
  if (!isVendor) return description;
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsxs("p", {
      children: [/*#__PURE__*/_jsx("strong", {
        children: i18n.POLICY_PRIVACY
      }), ":", /*#__PURE__*/_jsx("br", {}), /*#__PURE__*/_jsx("a", {
        href: policyUrl,
        children: policyUrl
      })]
    }), /*#__PURE__*/_jsx(Section, {
      title: i18n.PURPOSES,
      data: purposes,
      ids: purposeIds
    }), /*#__PURE__*/_jsx(Section, {
      title: i18n.LEGITIMATE_INTEREST_FOR,
      data: purposes,
      ids: legIntPurposeIds
    }), /*#__PURE__*/_jsx(Section, {
      title: i18n.FEATURES,
      data: features,
      ids: featureIds
    })]
  });
};