import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import Button from '@s-ui/react-atom-button';
import { ConsentItem } from '../ConsentItem';
import { ConsentDescription } from '../ConsentDescription';
import { CLASS } from '../settings';
export var Consents = function Consents(_ref) {
  var consents = _ref.consents,
      disableAllLiteral = _ref.disableAllLiteral,
      enableAllLiteral = _ref.enableAllLiteral,
      features = _ref.features,
      i18n = _ref.i18n,
      isVendor = _ref.isVendor,
      list = _ref.list,
      onToggleAll = _ref.onToggleAll,
      onToggleConsent = _ref.onToggleConsent,
      purposes = _ref.purposes,
      title = _ref.title;
  return /*#__PURE__*/_jsxs("section", {
    className: CLASS + "-consents",
    children: [/*#__PURE__*/_jsx("h2", {
      className: CLASS + "-title " + CLASS + "-consentsTitle",
      children: title
    }), /*#__PURE__*/_jsxs("div", {
      className: CLASS + "-consentsActions",
      children: [/*#__PURE__*/_jsx(Button, {
        onClick: function onClick(event) {
          return onToggleAll({
            event: event,
            enabled: false,
            isVendor: isVendor
          });
        },
        type: "secondary",
        size: "small",
        children: disableAllLiteral
      }), /*#__PURE__*/_jsx(Button, {
        onClick: function onClick(event) {
          return onToggleAll({
            event: event,
            enabled: true,
            isVendor: isVendor
          });
        },
        type: "primary",
        size: "small",
        children: enableAllLiteral
      })]
    }), /*#__PURE__*/_jsx("div", {
      className: CLASS + "-consentsTable",
      children: list.map(function (_ref2) {
        var id = _ref2.id,
            name = _ref2.name,
            legIntPurposeIds = _ref2.legIntPurposeIds,
            purposeIds = _ref2.purposeIds,
            featureIds = _ref2.featureIds,
            description = _ref2.description,
            policyUrl = _ref2.policyUrl;
        return /*#__PURE__*/_jsx(ConsentItem, {
          enabled: consents[id],
          id: id,
          isVendor: isVendor,
          name: name,
          onToggleConsent: onToggleConsent,
          renderDescription: function renderDescription() {
            return /*#__PURE__*/_jsx(ConsentDescription, {
              description: description,
              featureIds: featureIds,
              features: features,
              i18n: i18n,
              isVendor: isVendor,
              legIntPurposeIds: legIntPurposeIds,
              policyUrl: policyUrl,
              purposeIds: purposeIds,
              purposes: purposes
            });
          },
          url: policyUrl
        }, id);
      })
    })]
  });
};