import _extends from "@babel/runtime/helpers/esm/extends";
import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useState } from 'react';
import { CmpModalContainer } from './CmpModal';
import CmpServices from '@s-ui/react-cmp-services';
export default function CmpModal(props) {
  var elementToOpenOnClick = props.elementToOpenOnClick;

  var _useState = useState(!elementToOpenOnClick),
      open = _useState[0],
      setOpen = _useState[1];

  var openModal = function openModal() {
    return setOpen(true);
  };

  useEffect(function () {
    var domElementToOpenOnClick;

    var createHandleClickElementEvent = function createHandleClickElementEvent(element, createEvent) {
      if (createEvent === void 0) {
        createEvent = true;
      }

      var event = createEvent ? 'addEventListener' : 'removeEventListener';
      element && element[event]('click', openModal);
    };

    if (elementToOpenOnClick) {
      domElementToOpenOnClick = document.querySelector(elementToOpenOnClick);
      createHandleClickElementEvent(domElementToOpenOnClick);
    }

    return function () {
      return createHandleClickElementEvent(domElementToOpenOnClick, false);
    };
  }, [elementToOpenOnClick]);
  if (!open) return null;
  return /*#__PURE__*/_jsx(CmpServices, {
    children: function children(_ref) {
      var getPurposesAndVendors = _ref.getPurposesAndVendors,
          sendConsents = _ref.sendConsents;
      return /*#__PURE__*/_jsx(CmpModalContainer, _extends({}, props, {
        getPurposesAndVendors: getPurposesAndVendors,
        sendConsents: sendConsents
      }));
    }
  });
}
CmpModal.defaultProps = {
  lang: 'es',
  onExit: function onExit() {},
  retrieveConsentsFromCmp: false
};
CmpModal.displayName = 'CmpModal';